Bug 481281 - spacewalk-setup cannot populate database
spacewalk-setup cannot populate database
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.4
All Linux
low Severity high
: ---
: ---
Assigned To: Michael Mráka
Jesus M. Rodriguez
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-01-23 07:27 EST by storm.bp
Modified: 2013-09-14 10:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 04:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description storm.bp 2009-01-23 07:27:52 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; ru; rv:1.9.0.5) Gecko/2008121911 CentOS/3.0.5-1.el5.centos Firefox/3.0.5

spacewalk-setup finished work with error: "cannot populate database",
when Oracle NLS_LANG missmatch AMERICAN_AMERICA.AL32UTF8

Reproducible: Always

Steps to Reproduce:
1.Change NLS_LANG
2.
3.
Actual Results:  
install stop
Comment 1 Jan Pazdziora 2009-01-29 09:03:32 EST
Reassigning to Michael. Tracking against Spacewalk 0.6.
Comment 2 Michael Mráka 2009-01-30 04:56:39 EST
Not able to reproduce on Spacewalk 0.5 nightly (2009-01-30).

# export LNS_LANG=english.WE8ISO8859P1
#  spacewalk-setup --disconnected --answer-file=answers.txt 
* Loading answer file: answers.txt.
* Setting up Oracle environment.
* Setting up database.
** Database: Setting up database connection.
** Database: Testing database connection.
** Database: Populating database.
*** Progress: ##################################################################
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
* Performing initial configuration.
* Activating Spacewalk.
* Enabling Monitoring.
* Configuring apache SSL virtual host.
Should setup configure apache's default ssl server for you (saves original ssl.conf) y/n? y
* Creating SSL certificates.
** SSL: Generating CA certificate.
** SSL: Deploying CA certificate.
** SSL: Generating server certificate.
** SSL: Storing SSL certificates.
* Deploying configuration files.
* Update configuration in database.
* Setting up Cobbler..
* Restarting services.
Installation complete.


Please provide accurate reproducer.
Comment 3 Michael Mráka 2009-04-30 04:07:12 EDT
Not able to reproduce, closing now. If the issue is still valid feel free to reopen with updated reproducer.

Thanks,
Michael

Note You need to log in before you can comment on or make changes to this bug.